summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msguniq-6
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2006-10-05 11:19:49 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:14:05 +0200
commit5784514120922d12f20346c52133b779093e6b0b (patch)
tree6a9f254bb5227c186791162080a8b8e2cad0c19a /gettext-tools/tests/msguniq-6
parent5b01bc01bc620e792e6d63b2c70d9ae81cbf2bb2 (diff)
downloadexternal_gettext-5784514120922d12f20346c52133b779093e6b0b.zip
external_gettext-5784514120922d12f20346c52133b779093e6b0b.tar.gz
external_gettext-5784514120922d12f20346c52133b779093e6b0b.tar.bz2
Test msguniq on PO file with previous msgids.
Diffstat (limited to 'gettext-tools/tests/msguniq-6')
-rwxr-xr-xgettext-tools/tests/msguniq-6130
1 files changed, 130 insertions, 0 deletions
diff --git a/gettext-tools/tests/msguniq-6 b/gettext-tools/tests/msguniq-6
new file mode 100755
index 0000000..e9a9e7f
--- /dev/null
+++ b/gettext-tools/tests/msguniq-6
@@ -0,0 +1,130 @@
+#! /bin/sh
+
+# Test msguniq on PO file with previous msgids.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles msguniq-6.in"
+cat <<\EOF > msguniq-6.in
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:242
+#, c-format
+msgid "too many arguments"
+msgstr "zu viele Argumente"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:247
+#, fuzzy, c-format
+#| msgid "too many arguments"
+msgid "too few arguments"
+msgstr "zu viele Argumente"
+
+# Oder besser "fehlende Argumente"?
+#. TRANSLATORS: An error message.
+#: src/args.c:273
+#, c-format
+msgid "missing arguments"
+msgstr "Argumente fehlen"
+
+#: getopt.c:796 getopt.c:799
+#, fuzzy, c-format
+#| msgid "%s: invalid option -- %c\n"
+msgid "%s: illegal option -- %c\n"
+msgstr "%s: ungültige Option -- %c\n"
+
+#: getopt.c:805 getopt.c:808
+#, c-format
+msgid "%s: invalid option -- %c\n"
+msgstr "%s: ungültige Option -- %c\n"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:247
+#, c-format
+msgid "too few arguments"
+msgstr "zu wenige Argumente"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:242
+#, fuzzy, c-format
+#| msgid "too few arguments"
+msgid "too many arguments"
+msgstr "zu wenige Argumente"
+
+#: getopt.c:796 getopt.c:799
+#, fuzzy, c-format
+#| msgid "%s: invalid options -- %c\n"
+msgid "%s: illegal option -- %c\n"
+msgstr "%s: ungültige Optionen -- %c\n"
+
+#: getopt.c:863 getopt.c:882 getopt.c:1095 getopt.c:1116
+#, fuzzy, c-format
+#| msgid "%s: option requires an argument -- %c\n"
+msgid "%s: option requires more than one argument\n"
+msgstr "%s: Option erwartet ein Argument -- %c\n"
+EOF
+
+tmpfiles="$tmpfiles msguniq-6.out"
+: ${MSGUNIQ=msguniq}
+${MSGUNIQ} -o msguniq-6.out msguniq-6.in
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles msguniq-6.ok"
+cat <<\EOF > msguniq-6.ok
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:242
+#, c-format
+msgid "too many arguments"
+msgstr "zu viele Argumente"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:247
+#, c-format
+msgid "too few arguments"
+msgstr "zu wenige Argumente"
+
+# Oder besser "fehlende Argumente"?
+#. TRANSLATORS: An error message.
+#: src/args.c:273
+#, c-format
+msgid "missing arguments"
+msgstr "Argumente fehlen"
+
+#: getopt.c:796 getopt.c:799
+#, fuzzy, c-format
+msgid "%s: illegal option -- %c\n"
+msgstr ""
+"#-#-#-#-# msguniq-6.in #-#-#-#-#\n"
+"%s: ungültige Option -- %c\n"
+"#-#-#-#-# msguniq-6.in #-#-#-#-#\n"
+"%s: ungültige Optionen -- %c\n"
+
+#: getopt.c:805 getopt.c:808
+#, c-format
+msgid "%s: invalid option -- %c\n"
+msgstr "%s: ungültige Option -- %c\n"
+
+#: getopt.c:863 getopt.c:882 getopt.c:1095 getopt.c:1116
+#, fuzzy, c-format
+#| msgid "%s: option requires an argument -- %c\n"
+msgid "%s: option requires more than one argument\n"
+msgstr "%s: Option erwartet ein Argument -- %c\n"
+EOF
+
+: ${DIFF=diff}
+${DIFF} msguniq-6.ok msguniq-6.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result